Package com.smartgwt.client.widgets.drawing

# Class Point

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.widgets.drawing.Point

All Implemented Interfaces:
  `HasHandlers`

public class Point extends RefDataClass
X/Y position in pixels, specified as an Array with two members, for example: [30, 50]

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Point()`
  `Point(double x, double y)`
  `Point(int x, int y)`
  `Point(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Point`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `int`
  `getX()`
  The x coordinate of this point.
  `double`
  `getXAsDouble()`
  The x coordinate of this point.
  `int`
  `getY()`
  The y coordinate of this point.
  `double`
  `getYAsDouble()`
  The y coordinate of this point.

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Point

    public Point()

  - ### Point

    public Point(JavaScriptObject jsObj)

  - ### Point

    public Point(int x, int y)

  - ### Point

    public Point(double x, double y)

- ## Method Details

  - ### getOrCreateRef

    public static Point getOrCreateRef(JavaScriptObject jsObj)

  - ### getX

    public int getX()
    The x coordinate of this point.
    Returns:
      int

  - ### getXAsDouble

    public double getXAsDouble()
    The x coordinate of this point.
    Returns:
      double

  - ### getY

    public int getY()
    The y coordinate of this point.
    Returns:
      int

  - ### getYAsDouble

    public double getYAsDouble()
    The y coordinate of this point.
    Returns:
      double